GPU Clusters

Machine List

List Machines

get
Query parameters
currencystring · enumOptionalDefault: USDPossible values:
regionstringOptional

Enumeration types supported: 'HK', 'SE', 'CZ', 'CA', 'RO', 'US', 'ES', 'BR', 'CN', 'JP', 'DE', 'AU', 'IT', 'RU', 'PL', 'VN', 'PH', 'TW', 'NL', 'RS', 'SG', 'AR', 'NZ', 'FI', 'IN', 'BG', 'NO', 'EE', 'MY', 'BH', 'GB', 'LT'

gpuintegerOptional

Comma-separated GPU types. Supported types are: 'NVIDIA_GeForce_RTX_3090', 'NVIDIA_GeForce_RTX_3090_Ti', 'NVIDIA_GeForce_RTX_4090', 'NVIDIA_A100_SXM4_80GB', 'NVIDIA_H100_SXM5_80GB', 'NVIDIA_A100_80GB_PCIe', 'NVIDIA_A100_PCIE_80GB', 'NVIDIA_ A800_PCIe_40GB', 'NVIDIA_A100_SXM4_40GB', 'NVIDIA_A100_PCIE_40GB', 'NVIDIA_GeForce_RTX_A6000', 'NVIDIA_Quadro_RTX_8000', 'NVIDIA_GeForce_RTX_4080', 'Tesla_V100_PCIE_32GB', 'Tesla_V100_SXM2_32GB', 'NVIDIA_Quadro_RTX_6000', 'NVIDIA_GeForce_RTX_3080', 'NVIDIA_GeForce_RTX_4070_Ti', 'Tesla_V100_PCIE_16GB', 'TITAN_RTX', 'Tesla_V100_SXM2_16GB', 'NVIDIA_GeForce_RTX_3070', 'TITAN_V', 'NVIDIA_GeForce_RTX_4060_Ti', 'NVIDIA_GeForce_RTX_2080_SUPER', 'NVIDIA_GeForce_RTX_2080_Ti', 'NVIDIA_GeForce_RTX_4060', 'NVIDIA_GeForce_RTX_2080', 'TITAN_Xp', 'NVIDIA_GeForce_RTX_2070_SUPER', 'NVIDIA_GeForce_GTX_1080_Ti', 'NVIDIA_GeForce_RTX_3060', 'TITAN_X_Pascal', 'NVIDIA_GeForce_RTX_2060_SUPER', 'NVIDIA_GeForce_RTX_2070', 'NVIDIA_GeForce_GTX_1070_Ti', 'NVIDIA_GeForce_RTX_3060_Laptop_GPU', 'NVIDIA_GeForce_GTX_1080', 'NVIDIA_GeForce_GTX_1070', 'NVIDIA_GeForce_GTX_1660_Ti', 'NVIDIA_GeForce_GTX_1060_6GB', 'Tesla_M60', 'NVIDIA_RTX_6000_Ada_Generation'.

Default: 1
gpu_namesstringOptional
min_memoryintegerOptional
max_memoryintegerOptional
min_diskintegerOptional
max_diskintegerOptional
min_priceintegerOptional
max_priceintegerOptional
Header parameters
AuthorizationstringRequired

Your API token

Responses
chevron-right
200

Successful Response

application/json
on_demandstringRequired
labelsstring[]Required
node_namestringRequired
clusterstringRequired
gpu_namestringRequired
gpu_countintegerRequired
gpu_memoryintegerRequired
cpu_namestringRequired
cpu_countintegerRequired
cpu_per_gpuintegerRequired
memory_per_gpuintegerRequired
memory_totalintegerRequired
disk_per_gpuintegerRequired
disk_totalintegerRequired
regionstringRequired
network_upload_speedintegerRequired
network_download_speedintegerRequired
up_timeintegerRequired
online_ratenumberRequired
pricestringRequired
original_pricestringRequired
gpu_idintegerRequired
organizationany ofRequired
stringOptional
or
nullOptional
driver_versionany ofRequired
stringOptional
or
nullOptional
cuda_versionany ofRequired
stringOptional
or
nullOptional
nvlink_statusany ofRequired
booleanOptional
or
nullOptional
get
/v1/rentgpu/machines

Authentication

Create Auth

post
Header parameters
AuthorizationstringRequired

Your API token

Body
valuestring · min: 8 · max: 32Required

The password of your SSH container.

Responses
chevron-right
200

Successful Response

application/json
idintegerRequired

Container authorization ID.

valuestringRequired

The password of your SSH container in base64.

created_atstring · date-timeOptional
post
/v1/rentgpu/auths/

Get Auth List

get
Query parameters
markerintegerOptional

The marker of the last auth you got, not specified if you want to get the first page.

limitintegerOptional

The number of auths you want to get.

Default: 10
Header parameters
AuthorizationstringRequired

Your API token

Responses
chevron-right
200

Successful Response

application/json
idintegerRequired

Container authorization ID.

valuestringRequired

The password of your SSH container in base64.

created_atstring · date-timeOptional
get
/v1/rentgpu/auths/

Get Auth

get
Path parameters
auth_idintegerRequired

The ID of the container authorization you want to get.

Header parameters
AuthorizationstringRequired

Your API token

Responses
chevron-right
200

Successful Response

application/json
idintegerRequired

Container authorization ID.

valuestringRequired

The password of your SSH container in base64.

created_atstring · date-timeOptional
get
/v1/rentgpu/auths/{auth_id}

Images (Environment Template)

Create Custom Image

post
Header parameters
AuthorizationstringRequired

Your API token

Body
namestringRequired

The name of the image

descriptionstringOptional

The description of the image

image_namestringRequired

The name of the image, such as pytorch/pytorch or tensorflow/tensorflow.

image_tagstringRequired

The version of the image, such as 1.8.0, 2.6.0 or latest.

image_labelstringRequired

The label of the image, such as pytorch, tensorflow or unbuntu.

docker_usernamestringOptional

The username of the docker registry if it is private

docker_passwdstringOptional

The password of the docker registry if it is private

docker_registrystringOptional

The docker registry if it is private, the default is https://index.docker.io/v1/

Default: https://index.docker.io/v1/
public_portstringOptional

Public port you want to expose from this container, it's optional

onstartstringOptional

The command you want to run when the container starts, it is not required

optionsstringOptional

The options you want to pass to the container, only support --add-host, -e, -h, -w, it is not required

Responses
chevron-right
200

Successful Response

application/json
namestringOptional

The name of the image

descriptionstringOptional

The description of the image

image_namestringRequired

The name of the image, such as pytorch/pytorch or tensorflow/tensorflow.

image_tagstringRequired

The version of the image, such as 1.8.0, 2.6.0 or latest.

image_labelstringRequired

The label of the image, such as pytorch, tensorflow or unbuntu.

docker_usernamestringOptional

The username of the docker registry if it is private

docker_passwdstringOptional

The password of the docker registry if it is private

docker_registrystringOptional

The docker registry if it is private, the default is https://index.docker.io/v1/

Default: https://index.docker.io/v1/
public_portstringOptional

Public port you want to expose from this container

onstartstringOptional

The command you want to run when the container starts, it is not required

optionsstringOptional

The options you want to pass to the container, only support --add-host, -e, -h, -w, it is not required

image_typeall ofOptional

Image type you want to filter, the value can be OFFICIAL, PUBLIC, CUSTOM, default is OFFICIAL

Default: 2
integer · enumOptional

An enumeration.

Possible values:
idintegerRequired

The id of the image

created_atstring · date-timeOptional
post
/v1/rentgpu/images/

Get Image List

get
Query parameters
image_typeall ofOptional

Image type you want to filter, the value can be OFFICIAL, PUBLIC, CUSTOM, default is OFFICIAL

Default: 0
integer · enumOptional

An enumeration.

Possible values:
markerstringOptional

The marker id of the image you got, used for pagination

limitintegerOptional

The number of images you want to get, default is 10

Default: 10
Header parameters
AuthorizationstringRequired

Your API token

Responses
chevron-right
200

Successful Response

application/json
namestringOptional

The name of the image

descriptionstringOptional

The description of the image

image_namestringRequired

The name of the image, such as pytorch/pytorch or tensorflow/tensorflow.

image_tagstringRequired

The version of the image, such as 1.8.0, 2.6.0 or latest.

image_labelstringRequired

The label of the image, such as pytorch, tensorflow or unbuntu.

docker_usernamestringOptional

The username of the docker registry if it is private

docker_passwdstringOptional

The password of the docker registry if it is private

docker_registrystringOptional

The docker registry if it is private, the default is https://index.docker.io/v1/

Default: https://index.docker.io/v1/
public_portstringOptional

Public port you want to expose from this container

onstartstringOptional

The command you want to run when the container starts, it is not required

optionsstringOptional

The options you want to pass to the container, only support --add-host, -e, -h, -w, it is not required

image_typeall ofOptional

Image type you want to filter, the value can be OFFICIAL, PUBLIC, CUSTOM, default is OFFICIAL

Default: 2
integer · enumOptional

An enumeration.

Possible values:
idintegerRequired

The id of the image

created_atstring · date-timeOptional
get
/v1/rentgpu/images/

Get Image

get
Path parameters
image_idintegerRequired

The id of the image you want to get

Header parameters
AuthorizationstringRequired

Your API token

Responses
chevron-right
200

Successful Response

application/json
namestringOptional

The name of the image

descriptionstringOptional

The description of the image

image_namestringRequired

The name of the image, such as pytorch/pytorch or tensorflow/tensorflow.

image_tagstringRequired

The version of the image, such as 1.8.0, 2.6.0 or latest.

image_labelstringRequired

The label of the image, such as pytorch, tensorflow or unbuntu.

docker_usernamestringOptional

The username of the docker registry if it is private

docker_passwdstringOptional

The password of the docker registry if it is private

docker_registrystringOptional

The docker registry if it is private, the default is https://index.docker.io/v1/

Default: https://index.docker.io/v1/
public_portstringOptional

Public port you want to expose from this container

onstartstringOptional

The command you want to run when the container starts, it is not required

optionsstringOptional

The options you want to pass to the container, only support --add-host, -e, -h, -w, it is not required

image_typeall ofOptional

Image type you want to filter, the value can be OFFICIAL, PUBLIC, CUSTOM, default is OFFICIAL

Default: 2
integer · enumOptional

An enumeration.

Possible values:
idintegerRequired

The id of the image

created_atstring · date-timeOptional
get
/v1/rentgpu/images/{image_id}

Container (Running Environment)

Create Container

post
Header parameters
AuthorizationstringRequired

Your API token

Body
namestringRequired

Your container name.

auth_idintegerRequired

Auth id, You should create a container authorization first.

gpuinteger · max: 12Required

GPU number you want to rent.

Default: 1
node_namestringRequired

Node name returned by the query machine interface.

image_template_idintegerRequired

You can choose an image template or create a new one.

payment_typeall ofRequired

Payment type, an enum value, you can choose USD, NMT or CNY, mean what currency is used from your balance deducting fees.

integer · enumOptional

An enumeration.

Possible values:
Responses
chevron-right
200

Successful Response

application/json
namestringRequired

Your container name.

auth_idintegerRequired

Auth id, You should create a container authorization first.

gpuinteger · max: 12Optional

GPU number you want to rent.

Default: 1
node_namestringOptional

Node name returned by the query machine interface.

image_template_idintegerOptional

You can choose an image template or create a new one.

enable_vscodebooleanOptional

Enable vscode service.

Default: false
enable_jupyterbooleanOptional

Enable jupyter service.

Default: false
cpuintegerOptional

CPU number you rent.

disk_sizeinteger · min: 20Optional

Disk size you rent.

Default: 200
memoryintegerOptional

Memory size you rent.

gpu_nameinteger · min: 1Optional

GPU name you rent, the mapping of id and name is NVIDIA_GeForce_RTX_3090
NVIDIA_GeForce_RTX_3090_Ti
NVIDIA_GeForce_RTX_4090
NVIDIA_A100_SXM4_80GB
NVIDIA_H100_SXM5_80GB
NVIDIA_A100_80GB_PCIe
NVIDIA_A100_PCIE_80GB
NVIDIA_A800_PCIe_40GB
NVIDIA_A100_SXM4_40GB
NVIDIA_A100_PCIE_40GB
NVIDIA_RTX_A6000
NVIDIA_Quadro_RTX_8000
NVIDIA_GeForce_RTX_4080
Tesla_V100_PCIE_32GB
Tesla_V100_SXM2_32GB
NVIDIA_Quadro_RTX_6000
NVIDIA_GeForce_RTX_3080
NVIDIA_GeForce_RTX_4070_Ti
Tesla_V100_PCIE_16GB
TITAN_RTX
Tesla_V100_SXM2_16GB
NVIDIA_GeForce_RTX_3070
TITAN_V
NVIDIA_GeForce_RTX_4060_Ti
NVIDIA_GeForce_RTX_2080_SUPER
NVIDIA_GeForce_RTX_2080_Ti
NVIDIA_GeForce_RTX_4060
NVIDIA_GeForce_RTX_2080
TITAN_Xp
NVIDIA_GeForce_RTX_2070_SUPER
NVIDIA_GeForce_GTX_1080_Ti
NVIDIA_GeForce_RTX_3060
TITAN_X_Pascal
NVIDIA_GeForce_RTX_2060_SUPER
NVIDIA_GeForce_RTX_2070
NVIDIA_GeForce_GTX_1070_Ti
NVIDIA_GeForce_RTX_3060_Laptop_GPU NVIDIA_GeForce_GTX_1080
NVIDIA_GeForce_GTX_1070
40 NVIDIA_GeForce_GTX_1660_Ti
41 NVIDIA_GeForce_GTX_1060_6GB
Tesla_M60
NVIDIA_H100_80GB_HBM3
NVIDIA_H100_PCIe
NVIDIA_GeForce_RTX_A6000
NVIDIA_RTX_6000_Ada_Generation
NVIDIA_ A800_PCIe_40GB
NVIDIA_GeForce_RTX_4080_SUPER

idintegerRequired

Container ID

sshstringOptional

SSH connection command

statusall ofRequired

Container status, an enum value, the value is one of PENDING, RUNNING, PAUSED, OFFLINE, EXPIRED, NON_PAYMENT

integer · enumOptional

An enumeration.

Possible values:
exposed_servicestringOptional

The url of custom service

vscode_servicestringOptional

The url of vscode service

jupyter_servicestringOptional

The url of jupyter service

created_atstring · date-timeOptional
post
/v1/rentgpu/containers/

Get Container List

get
Query parameters
limitintegerOptional

The number of containers you want to get, default is 10

Default: 10
markerintegerOptional

The marker of the last container id you got, not specified by default, you can use it to get the next page

Header parameters
AuthorizationstringRequired

Your API token

Responses
chevron-right
200

Successful Response

application/json
namestringRequired

Your container name.

auth_idintegerRequired

Auth id, You should create a container authorization first.

gpuinteger · max: 12Optional

GPU number you want to rent.

Default: 1
node_namestringOptional

Node name returned by the query machine interface.

image_template_idintegerOptional

You can choose an image template or create a new one.

enable_vscodebooleanOptional

Enable vscode service.

Default: false
enable_jupyterbooleanOptional

Enable jupyter service.

Default: false
cpuintegerOptional

CPU number you rent.

disk_sizeinteger · min: 20Optional

Disk size you rent.

Default: 200
memoryintegerOptional

Memory size you rent.

gpu_nameinteger · min: 1Optional

GPU name you rent, the mapping of id and name is NVIDIA_GeForce_RTX_3090
NVIDIA_GeForce_RTX_3090_Ti
NVIDIA_GeForce_RTX_4090
NVIDIA_A100_SXM4_80GB
NVIDIA_H100_SXM5_80GB
NVIDIA_A100_80GB_PCIe
NVIDIA_A100_PCIE_80GB
NVIDIA_A800_PCIe_40GB
NVIDIA_A100_SXM4_40GB
NVIDIA_A100_PCIE_40GB
NVIDIA_RTX_A6000
NVIDIA_Quadro_RTX_8000
NVIDIA_GeForce_RTX_4080
Tesla_V100_PCIE_32GB
Tesla_V100_SXM2_32GB
NVIDIA_Quadro_RTX_6000
NVIDIA_GeForce_RTX_3080
NVIDIA_GeForce_RTX_4070_Ti
Tesla_V100_PCIE_16GB
TITAN_RTX
Tesla_V100_SXM2_16GB
NVIDIA_GeForce_RTX_3070
TITAN_V
NVIDIA_GeForce_RTX_4060_Ti
NVIDIA_GeForce_RTX_2080_SUPER
NVIDIA_GeForce_RTX_2080_Ti
NVIDIA_GeForce_RTX_4060
NVIDIA_GeForce_RTX_2080
TITAN_Xp
NVIDIA_GeForce_RTX_2070_SUPER
NVIDIA_GeForce_GTX_1080_Ti
NVIDIA_GeForce_RTX_3060
TITAN_X_Pascal
NVIDIA_GeForce_RTX_2060_SUPER
NVIDIA_GeForce_RTX_2070
NVIDIA_GeForce_GTX_1070_Ti
NVIDIA_GeForce_RTX_3060_Laptop_GPU NVIDIA_GeForce_GTX_1080
NVIDIA_GeForce_GTX_1070
40 NVIDIA_GeForce_GTX_1660_Ti
41 NVIDIA_GeForce_GTX_1060_6GB
Tesla_M60
NVIDIA_H100_80GB_HBM3
NVIDIA_H100_PCIe
NVIDIA_GeForce_RTX_A6000
NVIDIA_RTX_6000_Ada_Generation
NVIDIA_ A800_PCIe_40GB
NVIDIA_GeForce_RTX_4080_SUPER

idintegerRequired

Container ID

sshstringOptional

SSH connection command

statusall ofRequired

Container status, an enum value, the value is one of PENDING, RUNNING, PAUSED, OFFLINE, EXPIRED, NON_PAYMENT

integer · enumOptional

An enumeration.

Possible values:
exposed_servicestringOptional

The url of custom service

vscode_servicestringOptional

The url of vscode service

jupyter_servicestringOptional

The url of jupyter service

created_atstring · date-timeOptional
get
/v1/rentgpu/containers/

Get Container

get
Path parameters
container_idintegerRequired

Container id you want to get

Header parameters
AuthorizationstringRequired

Your API token

Responses
chevron-right
200

Successful Response

application/json
namestringRequired

Your container name.

auth_idintegerRequired

Auth id, You should create a container authorization first.

gpuinteger · max: 12Optional

GPU number you want to rent.

Default: 1
node_namestringOptional

Node name returned by the query machine interface.

image_template_idintegerOptional

You can choose an image template or create a new one.

enable_vscodebooleanOptional

Enable vscode service.

Default: false
enable_jupyterbooleanOptional

Enable jupyter service.

Default: false
cpuintegerOptional

CPU number you rent.

disk_sizeinteger · min: 20Optional

Disk size you rent.

Default: 200
memoryintegerOptional

Memory size you rent.

gpu_nameinteger · min: 1Optional

GPU name you rent, the mapping of id and name is NVIDIA_GeForce_RTX_3090
NVIDIA_GeForce_RTX_3090_Ti
NVIDIA_GeForce_RTX_4090
NVIDIA_A100_SXM4_80GB
NVIDIA_H100_SXM5_80GB
NVIDIA_A100_80GB_PCIe
NVIDIA_A100_PCIE_80GB
NVIDIA_A800_PCIe_40GB
NVIDIA_A100_SXM4_40GB
NVIDIA_A100_PCIE_40GB
NVIDIA_RTX_A6000
NVIDIA_Quadro_RTX_8000
NVIDIA_GeForce_RTX_4080
Tesla_V100_PCIE_32GB
Tesla_V100_SXM2_32GB
NVIDIA_Quadro_RTX_6000
NVIDIA_GeForce_RTX_3080
NVIDIA_GeForce_RTX_4070_Ti
Tesla_V100_PCIE_16GB
TITAN_RTX
Tesla_V100_SXM2_16GB
NVIDIA_GeForce_RTX_3070
TITAN_V
NVIDIA_GeForce_RTX_4060_Ti
NVIDIA_GeForce_RTX_2080_SUPER
NVIDIA_GeForce_RTX_2080_Ti
NVIDIA_GeForce_RTX_4060
NVIDIA_GeForce_RTX_2080
TITAN_Xp
NVIDIA_GeForce_RTX_2070_SUPER
NVIDIA_GeForce_GTX_1080_Ti
NVIDIA_GeForce_RTX_3060
TITAN_X_Pascal
NVIDIA_GeForce_RTX_2060_SUPER
NVIDIA_GeForce_RTX_2070
NVIDIA_GeForce_GTX_1070_Ti
NVIDIA_GeForce_RTX_3060_Laptop_GPU NVIDIA_GeForce_GTX_1080
NVIDIA_GeForce_GTX_1070
40 NVIDIA_GeForce_GTX_1660_Ti
41 NVIDIA_GeForce_GTX_1060_6GB
Tesla_M60
NVIDIA_H100_80GB_HBM3
NVIDIA_H100_PCIe
NVIDIA_GeForce_RTX_A6000
NVIDIA_RTX_6000_Ada_Generation
NVIDIA_ A800_PCIe_40GB
NVIDIA_GeForce_RTX_4080_SUPER

idintegerRequired

Container ID

sshstringOptional

SSH connection command

statusall ofRequired

Container status, an enum value, the value is one of PENDING, RUNNING, PAUSED, OFFLINE, EXPIRED, NON_PAYMENT

integer · enumOptional

An enumeration.

Possible values:
exposed_servicestringOptional

The url of custom service

vscode_servicestringOptional

The url of vscode service

jupyter_servicestringOptional

The url of jupyter service

created_atstring · date-timeOptional
get
/v1/rentgpu/containers/{container_id}

Stop Container

post
Path parameters
container_idintegerRequired

Container id you want to stop

Header parameters
AuthorizationstringRequired

Your API token

Responses
chevron-right
200

Successful Response

application/json
namestringRequired

Your container name.

auth_idintegerRequired

Auth id, You should create a container authorization first.

gpuinteger · max: 12Optional

GPU number you want to rent.

Default: 1
node_namestringOptional

Node name returned by the query machine interface.

image_template_idintegerOptional

You can choose an image template or create a new one.

enable_vscodebooleanOptional

Enable vscode service.

Default: false
enable_jupyterbooleanOptional

Enable jupyter service.

Default: false
cpuintegerOptional

CPU number you rent.

disk_sizeinteger · min: 20Optional

Disk size you rent.

Default: 200
memoryintegerOptional

Memory size you rent.

gpu_nameinteger · min: 1Optional

GPU name you rent, the mapping of id and name is NVIDIA_GeForce_RTX_3090
NVIDIA_GeForce_RTX_3090_Ti
NVIDIA_GeForce_RTX_4090
NVIDIA_A100_SXM4_80GB
NVIDIA_H100_SXM5_80GB
NVIDIA_A100_80GB_PCIe
NVIDIA_A100_PCIE_80GB
NVIDIA_A800_PCIe_40GB
NVIDIA_A100_SXM4_40GB
NVIDIA_A100_PCIE_40GB
NVIDIA_RTX_A6000
NVIDIA_Quadro_RTX_8000
NVIDIA_GeForce_RTX_4080
Tesla_V100_PCIE_32GB
Tesla_V100_SXM2_32GB
NVIDIA_Quadro_RTX_6000
NVIDIA_GeForce_RTX_3080
NVIDIA_GeForce_RTX_4070_Ti
Tesla_V100_PCIE_16GB
TITAN_RTX
Tesla_V100_SXM2_16GB
NVIDIA_GeForce_RTX_3070
TITAN_V
NVIDIA_GeForce_RTX_4060_Ti
NVIDIA_GeForce_RTX_2080_SUPER
NVIDIA_GeForce_RTX_2080_Ti
NVIDIA_GeForce_RTX_4060
NVIDIA_GeForce_RTX_2080
TITAN_Xp
NVIDIA_GeForce_RTX_2070_SUPER
NVIDIA_GeForce_GTX_1080_Ti
NVIDIA_GeForce_RTX_3060
TITAN_X_Pascal
NVIDIA_GeForce_RTX_2060_SUPER
NVIDIA_GeForce_RTX_2070
NVIDIA_GeForce_GTX_1070_Ti
NVIDIA_GeForce_RTX_3060_Laptop_GPU NVIDIA_GeForce_GTX_1080
NVIDIA_GeForce_GTX_1070
40 NVIDIA_GeForce_GTX_1660_Ti
41 NVIDIA_GeForce_GTX_1060_6GB
Tesla_M60
NVIDIA_H100_80GB_HBM3
NVIDIA_H100_PCIe
NVIDIA_GeForce_RTX_A6000
NVIDIA_RTX_6000_Ada_Generation
NVIDIA_ A800_PCIe_40GB
NVIDIA_GeForce_RTX_4080_SUPER

idintegerRequired

Container ID

sshstringOptional

SSH connection command

statusall ofRequired

Container status, an enum value, the value is one of PENDING, RUNNING, PAUSED, OFFLINE, EXPIRED, NON_PAYMENT

integer · enumOptional

An enumeration.

Possible values:
exposed_servicestringOptional

The url of custom service

vscode_servicestringOptional

The url of vscode service

jupyter_servicestringOptional

The url of jupyter service

created_atstring · date-timeOptional
post
/v1/rentgpu/containers/{container_id}/stop

Restart Container

post
Path parameters
container_idintegerRequired

Container id you want to restart

Header parameters
AuthorizationstringRequired

Your API token

Responses
chevron-right
200

Successful Response

application/json
namestringRequired

Your container name.

auth_idintegerRequired

Auth id, You should create a container authorization first.

gpuinteger · max: 12Optional

GPU number you want to rent.

Default: 1
node_namestringOptional

Node name returned by the query machine interface.

image_template_idintegerOptional

You can choose an image template or create a new one.

enable_vscodebooleanOptional

Enable vscode service.

Default: false
enable_jupyterbooleanOptional

Enable jupyter service.

Default: false
cpuintegerOptional

CPU number you rent.

disk_sizeinteger · min: 20Optional

Disk size you rent.

Default: 200
memoryintegerOptional

Memory size you rent.

gpu_nameinteger · min: 1Optional

GPU name you rent, the mapping of id and name is NVIDIA_GeForce_RTX_3090
NVIDIA_GeForce_RTX_3090_Ti
NVIDIA_GeForce_RTX_4090
NVIDIA_A100_SXM4_80GB
NVIDIA_H100_SXM5_80GB
NVIDIA_A100_80GB_PCIe
NVIDIA_A100_PCIE_80GB
NVIDIA_A800_PCIe_40GB
NVIDIA_A100_SXM4_40GB
NVIDIA_A100_PCIE_40GB
NVIDIA_RTX_A6000
NVIDIA_Quadro_RTX_8000
NVIDIA_GeForce_RTX_4080
Tesla_V100_PCIE_32GB
Tesla_V100_SXM2_32GB
NVIDIA_Quadro_RTX_6000
NVIDIA_GeForce_RTX_3080
NVIDIA_GeForce_RTX_4070_Ti
Tesla_V100_PCIE_16GB
TITAN_RTX
Tesla_V100_SXM2_16GB
NVIDIA_GeForce_RTX_3070
TITAN_V
NVIDIA_GeForce_RTX_4060_Ti
NVIDIA_GeForce_RTX_2080_SUPER
NVIDIA_GeForce_RTX_2080_Ti
NVIDIA_GeForce_RTX_4060
NVIDIA_GeForce_RTX_2080
TITAN_Xp
NVIDIA_GeForce_RTX_2070_SUPER
NVIDIA_GeForce_GTX_1080_Ti
NVIDIA_GeForce_RTX_3060
TITAN_X_Pascal
NVIDIA_GeForce_RTX_2060_SUPER
NVIDIA_GeForce_RTX_2070
NVIDIA_GeForce_GTX_1070_Ti
NVIDIA_GeForce_RTX_3060_Laptop_GPU NVIDIA_GeForce_GTX_1080
NVIDIA_GeForce_GTX_1070
40 NVIDIA_GeForce_GTX_1660_Ti
41 NVIDIA_GeForce_GTX_1060_6GB
Tesla_M60
NVIDIA_H100_80GB_HBM3
NVIDIA_H100_PCIe
NVIDIA_GeForce_RTX_A6000
NVIDIA_RTX_6000_Ada_Generation
NVIDIA_ A800_PCIe_40GB
NVIDIA_GeForce_RTX_4080_SUPER

idintegerRequired

Container ID

sshstringOptional

SSH connection command

statusall ofRequired

Container status, an enum value, the value is one of PENDING, RUNNING, PAUSED, OFFLINE, EXPIRED, NON_PAYMENT

integer · enumOptional

An enumeration.

Possible values:
exposed_servicestringOptional

The url of custom service

vscode_servicestringOptional

The url of vscode service

jupyter_servicestringOptional

The url of jupyter service

created_atstring · date-timeOptional
post
/v1/rentgpu/containers/{container_id}/restart

Delete Container

delete
Path parameters
container_idintegerRequired

Container id you want to delete

Header parameters
AuthorizationstringRequired

Your API token

Responses
chevron-right
200

Successful Response

application/json
namestringRequired

Your container name.

auth_idintegerRequired

Auth id, You should create a container authorization first.

gpuinteger · max: 12Optional

GPU number you want to rent.

Default: 1
node_namestringOptional

Node name returned by the query machine interface.

image_template_idintegerOptional

You can choose an image template or create a new one.

enable_vscodebooleanOptional

Enable vscode service.

Default: false
enable_jupyterbooleanOptional

Enable jupyter service.

Default: false
cpuintegerOptional

CPU number you rent.

disk_sizeinteger · min: 20Optional

Disk size you rent.

Default: 200
memoryintegerOptional

Memory size you rent.

gpu_nameinteger · min: 1Optional

GPU name you rent, the mapping of id and name is NVIDIA_GeForce_RTX_3090
NVIDIA_GeForce_RTX_3090_Ti
NVIDIA_GeForce_RTX_4090
NVIDIA_A100_SXM4_80GB
NVIDIA_H100_SXM5_80GB
NVIDIA_A100_80GB_PCIe
NVIDIA_A100_PCIE_80GB
NVIDIA_A800_PCIe_40GB
NVIDIA_A100_SXM4_40GB
NVIDIA_A100_PCIE_40GB
NVIDIA_RTX_A6000
NVIDIA_Quadro_RTX_8000
NVIDIA_GeForce_RTX_4080
Tesla_V100_PCIE_32GB
Tesla_V100_SXM2_32GB
NVIDIA_Quadro_RTX_6000
NVIDIA_GeForce_RTX_3080
NVIDIA_GeForce_RTX_4070_Ti
Tesla_V100_PCIE_16GB
TITAN_RTX
Tesla_V100_SXM2_16GB
NVIDIA_GeForce_RTX_3070
TITAN_V
NVIDIA_GeForce_RTX_4060_Ti
NVIDIA_GeForce_RTX_2080_SUPER
NVIDIA_GeForce_RTX_2080_Ti
NVIDIA_GeForce_RTX_4060
NVIDIA_GeForce_RTX_2080
TITAN_Xp
NVIDIA_GeForce_RTX_2070_SUPER
NVIDIA_GeForce_GTX_1080_Ti
NVIDIA_GeForce_RTX_3060
TITAN_X_Pascal
NVIDIA_GeForce_RTX_2060_SUPER
NVIDIA_GeForce_RTX_2070
NVIDIA_GeForce_GTX_1070_Ti
NVIDIA_GeForce_RTX_3060_Laptop_GPU NVIDIA_GeForce_GTX_1080
NVIDIA_GeForce_GTX_1070
40 NVIDIA_GeForce_GTX_1660_Ti
41 NVIDIA_GeForce_GTX_1060_6GB
Tesla_M60
NVIDIA_H100_80GB_HBM3
NVIDIA_H100_PCIe
NVIDIA_GeForce_RTX_A6000
NVIDIA_RTX_6000_Ada_Generation
NVIDIA_ A800_PCIe_40GB
NVIDIA_GeForce_RTX_4080_SUPER

idintegerRequired

Container ID

sshstringOptional

SSH connection command

statusall ofRequired

Container status, an enum value, the value is one of PENDING, RUNNING, PAUSED, OFFLINE, EXPIRED, NON_PAYMENT

integer · enumOptional

An enumeration.

Possible values:
exposed_servicestringOptional

The url of custom service

vscode_servicestringOptional

The url of vscode service

jupyter_servicestringOptional

The url of jupyter service

created_atstring · date-timeOptional
delete
/v1/rentgpu/containers/{container_id}

Last updated